These are demo-files that you can use to see how the emulator works.


compiling the emulator
======================

* On Linux
  dotnet build -c Release
  After a while you'll find a programfile called "bin/Release/net9.0/dotxt".

* On Windows
  dotnet build -c Release
  After a while you'll find a programfile called "bin\Release\net9.0\dotxt.exe".

If you like, you can copy that dotxt(.exe) file into the demo directory.


running it
==========

dotxt -R roms/GLABIOS.ROM,f000:e000 -X harddisks/demo.vhd -p cga,vnc,5900 -R roms/ide_xt.rom,d000:0000 -R roms/GLaTICK_0.8.5_AT.ROM,d000:2000 -S -O rtc

Note that you need to use a VNC-viewer to connect to the emulator. E.g. "vncviewer localhost:0" (for example https://www.tightvnc.com/ should work).

If you would like MIDI-support, add "-O midi" to the command line.


copyrights
==========
* the GLA\*.ROM files are from https://glabios.org/
* ide_xt.rom is from https://www.xtideuniversalbios.org/
* 8088MPH (harddisk image) is from http://www.reenigne.org/8088MPH_final.ZIP
* doom8088 is from https://github.com/FrenkelS/Doom8088/
* cga_comp is from https://github.com/MobyGamer/CGACompatibilityTester
* topbench is from https://github.com/MobyGamer/TOPBENCH
